import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-c09',
  templateUrl: './c09.component.html',
  styleUrls: ['./c09.component.css']
})
export class C09Component implements OnInit {
  miVariableAMostrar = 'Una variable que enseñar'; 
  unaCadenaDeCaracteres = 'Una variable a mostrar'; 
  unNumero = 8008; 
  unobjeto = { apellido: 'Wayne', nombre: 'Bruce', ciudad: 'Gotham City' };

  textoDelBoton = 'No clicado'; 
  numeroDeClic = 0;  

  deportistas = ['Laurence Cousin', 'Bruce Lee', 'Roger Gracie', 'Ryu'];

  miClase = 'alert-primary';

  constructor() { }

  ngOnInit(): void {
  }

  unClic() {
    console.log("Clicado");
    this.numeroDeClic ++; 
    this.textoDelBoton = 'Clicado ' + this.numeroDeClic + ' veces'; 
  }

  cambioDeClase() {
    if (this.miClase === 'alert-success') {
      this.miClase = 'alert-danger';
    } else {
      this.miClase = 'alert-success';
    }
  }

}
